Put Ui Plugin

Put Ui Plugin
Updates extension specific plugin's metadata

Update the plugin metadata for this extension clobbering existing information and returns the updated plugin metadata

Request
URI
PUT
https://{api_host}/cloudapi/extensions/ui/{id}
COPY
Path Parameters
string
id
Required

id


Request Body
UiPluginMetadata of type(s) application/json
Optional

Show optional properties

{
    "pluginName": "string",
    "vendor": "string",
    "version": "string",
    "license": "string",
    "link": "string"
}
{
    "pluginName": "string",
    "vendor": "string",
    "description": "string",
    "version": "string",
    "license": "string",
    "link": "string",
    "tenant_scoped": false,
    "provider_scoped": false,
    "enabled": false
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UiPluginMetadataResponse of type(s) application/json;version=9.1.0
This response body class contains all of the following: UiPluginMetadata , UploadMetadataResponse
{
    "pluginName": "string",
    "vendor": "string",
    "description": "string",
    "version": "string",
    "license": "string",
    "link": "string",
    "tenant_scoped": false,
    "provider_scoped": false,
    "enabled": false,
    "id": "string",
    "plugin_status": "string",
    "resourcePath": "string"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"license":"string","link":"string","pluginName":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/extensions/ui/{id}